# Traditionelle Conjointanalyse mit R (Kapitel 1)
# 1. Zuweisen von Werten (J, K, L, y, X)
J=18; K=3; L=c(3,2,3) # Anzahl Stimuli, Merkmale, Auspraegungen
y=c(13,7,1,16,10,4,14,8,2,17,11,5,15,9,3,18,12,6)
# beobachtete Praeferenzwerte (bei Auskunftsperson i)
X=matrix(c(1,1,1, 1,1,2, 1,1,3, 1,2,1, 1,2,2, 1,2,3,
           2,1,1, 2,1,2, 2,1,3, 2,2,1, 2,2,2, 2,2,3,
           3,1,1, 3,1,2, 3,1,3, 3,2,1, 3,2,2, 3,2,3),
           nrow=J, ncol=K,byrow=TRUE); colnames(X)=c("A","B","C")
# Beschreibung der J Stimuli bez. der K Merkmale
Data=as.data.frame(cbind(X,y)); Data$A=as.factor(Data$A)
Data$B=as.factor(Data$B); Data$C=as.factor(Data$C); head(Data)
# Bereitstellung der Daten als eine Datenmatrix mit den
# K Merkmalen und den Praeferenzwerten als Spalten, die
# K Merkmale werden ueber as.factor() als nominal deklariert

# 2. Regressionsanalyse
fit=lm(y~A+B+C,data=Data); summary(fit); barplot(fit$coefficients)
# Aufruf der Funktion lm() zur Schtzung der Nutzenbeitrge,
# R fhrt intern eine Dummykodierung der nominalen Merkmale durch,
# Ueber summary() erfolgt die Ergebnisausgabe, barplot() erzeugt
# eine einfache graphische Ausgabe der geschaetzten Nutzenbeitrge
